{ config, pkgs, lib, ... }: {

  environment.systemPackages = with pkgs;
    [ # Utilities
      freetype
      feh
      lxappearance
    ] ++ [ # Networking
      gnome.networkmanager-openconnect
    ] ++ [ # Various
      xfce.thunar
      xfce.thunar-archive-plugin
      xfce.xfce4-appfinder # xfce.thunar-volman # needed?
      pinentry-gtk2 # Required by gnupg
    ];

  programs = {
    gnome-terminal.enable = false;
    evolution = {
      enable = true;
      plugins = [ pkgs.evolution-ews ];
    };
    geary.enable = false;
    light.enable = true;

    dconf.enable = true;

    sway.enable = true;
  };

  services.gnome = {
    # TODO: Do this manually and not all at once.
    core-utilities.enable = true;
    core-os-services.enable = true;

    gnome-keyring.enable = true;
    evolution-data-server.enable = true;
    gnome-online-accounts.enable = true;
    gnome-remote-desktop.enable = true;

    sushi.enable = false;
  };

  services.gvfs.enable = true;

  services.flatpak.enable = true;
  xdg.portal = {
    enable = true;
    wlr.enable = true;
    gtkUsePortal = false;
    #extraPortals = [ pkgs.xdg-desktop-portal-gtk pkgs.xdg-desktop-portal-wlr ];
    extraPortals = [ pkgs.xdg-desktop-portal-wlr ];
  };

}
